Debian Bug report logs - #489051
xserver-xorg-video-vesa: fails to find valid modes

version graph

Package: xserver-xorg-video-vesa; Maintainer for xserver-xorg-video-vesa is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-vesa is src:xserver-xorg-video-vesa.

Reported by: Vagrant Cascadian <vagrant+debianbugs@freegeek.org>

Date: Thu, 3 Jul 2008 02:09:01 UTC

Severity: grave

Tags: patch

Merged with 488932, 498808, 512528

Found in version xserver-xorg-video-vesa/1:2.0.0-1

Fixed in version 1:2.1.0-1

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=16378

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant+debianbugs@freegeek.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant+debianbugs@freegeek.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-vesa: fails to find valid modes
Date: Wed, 2 Jul 2008 19:07:01 -0700
Package: xserver-xorg-video-vesa
Version: 1:2.0.0-1
Severity: important

when i attempt to run startx, the screen goes black, and eventually X 
fails to start. downgrading to xserver-xorg-video-vesa 1:1.3.0-4 works fine.
this is running in virtualbox-ose (1.6.2-dfsg-1~bpo40+1) from backports.org.

startx produces the following messages:

X.Org X Server 1.4.2
Release Date: 11 June 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.2-1)
Current Operating System: Linux ltsp-srv 2.6.25-2-486 #1 Fri Jun 27 02:39:22 UTC 2008 i686
Build Date: 26 June 2008  01:58:50AM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Jul  2 18:52:43 2008
(==) Using config file: "/etc/X11/xorg.conf"
(II) Module "ddc" already built-in
/usr/bin/X11/X: symbol lookup error: /usr/lib/xorg/modules/drivers//vesa_drv.so: undefined symbol: xf86GTFMode

waiting for X server to begin accepting connections 
giving up.
xinit:  Connection reset by peer (errno 104):  unable to connect to X server
xinit:  No such process (errno 3):  Server error.

please let me know if there's any additional information you'd like to have.

live well,
  vagrant


-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 2008-07-02 18:38 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1718228 2008-06-25 17:14 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter

/etc/X11/xorg.conf unchanged from checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1077 2008-07-02 18:38 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
EndSection

Section "Device"
	Identifier	"Configured Video Device"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Monitor		"Configured Monitor"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 24027 2008-07-02 18:42 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.4.2
Release Date: 11 June 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.2-1)
Current Operating System: Linux ltsp-srv 2.6.25-2-486 #1 Fri Jun 27 02:39:22 UTC 2008 i686
Build Date: 26 June 2008  01:58:50AM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Jul  2 18:42:52 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) No Layout section.  Using the first Screen section.
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Configured Monitor"
(==) No device specified for screen "Default Screen".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) |-->Input Device "Configured Mouse"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
	Using the first mouse device.
(==) The core keyboard device wasn't specified explicitly in the layout.
	Using the first keyboard device.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81e47c0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(--) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1237 card 0000,0000 rev 02 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,7000 card 0000,0000 rev 00 class 06,01,00 hdr 80
(II) PCI: 00:01:1: chip 8086,7010 card 0000,0000 rev 00 class 01,01,8a hdr 00
(II) PCI: 00:02:0: chip 80ee,beef card 0000,0000 rev 00 class 03,00,00 hdr 00
(II) PCI: 00:03:0: chip 1022,2000 card 1022,2000 rev 40 class 02,00,00 hdr 00
(II) PCI: 00:04:0: chip 80ee,cafe card 0000,0000 rev 00 class 08,80,00 hdr 00
(II) PCI: 00:07:0: chip 8086,7113 card 0000,0000 rev 08 class 06,80,00 hdr 80
(II) PCI: 00:08:0: chip 1022,2000 card 1022,2000 rev 40 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,0), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:1:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(0:2:0) unknown vendor (0x80ee) unknown chipset (0xbeef) rev 0, Mem @ 0xe0000000/20
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xf0880000 - 0xf08fffff (0x80000) MX[B]
	[1] -1	0	0xf0800000 - 0xf0800fff (0x1000) MX[B]
	[2] -1	0	0xf0400000 - 0xf07fffff (0x400000) MX[B]
	[3] -1	0	0xf0080000 - 0xf00fffff (0x80000) MX[B]
	[4] -1	0	0xf0000000 - 0xf0000fff (0x1000) MX[B]
	[5] -1	0	0xe0000000 - 0xe00fffff (0x100000) MX[B](B)
	[6] -1	0	0x0000c060 - 0x0000c07f (0x20) IX[B]
	[7] -1	0	0x0000c040 - 0x0000c05f (0x20) IX[B]
	[8] -1	0	0x0000c020 - 0x0000c03f (0x20) IX[B]
	[9] -1	0	0x0000c000 - 0x0000c00f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xf0880000 - 0xf08fffff (0x80000) MX[B]
	[1] -1	0	0xf0800000 - 0xf0800fff (0x1000) MX[B]
	[2] -1	0	0xf0400000 - 0xf07fffff (0x400000) MX[B]
	[3] -1	0	0xf0080000 - 0xf00fffff (0x80000) MX[B]
	[4] -1	0	0xf0000000 - 0xf0000fff (0x1000) MX[B]
	[5] -1	0	0xe0000000 - 0xe00fffff (0x100000) MX[B](B)
	[6] -1	0	0x0000c060 - 0x0000c07f (0x20) IX[B]
	[7] -1	0	0x0000c040 - 0x0000c05f (0x20) IX[B]
	[8] -1	0	0x0000c020 - 0x0000c03f (0x20) IX[B]
	[9] -1	0	0x0000c000 - 0x0000c00f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf0880000 - 0xf08fffff (0x80000) MX[B]
	[5] -1	0	0xf0800000 - 0xf0800fff (0x1000) MX[B]
	[6] -1	0	0xf0400000 - 0xf07fffff (0x400000) MX[B]
	[7] -1	0	0xf0080000 - 0xf00fffff (0x80000) MX[B]
	[8] -1	0	0xf0000000 - 0xf0000fff (0x1000) MX[B]
	[9] -1	0	0xe0000000 - 0xe00fffff (0x100000) MX[B](B)
	[10] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0	0x0000c060 - 0x0000c07f (0x20) IX[B]
	[13] -1	0	0x0000c040 - 0x0000c05f (0x20) IX[B]
	[14] -1	0	0x0000c020 - 0x0000c03f (0x20) IX[B]
	[15] -1	0	0x0000c000 - 0x0000c00f (0x10) IX[B]
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.2, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(==) Matched vesa for the autoconfigured driver
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) VESA: driver for VESA chipsets: vesa
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(--) Chipset vesa found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf0880000 - 0xf08fffff (0x80000) MX[B]
	[5] -1	0	0xf0800000 - 0xf0800fff (0x1000) MX[B]
	[6] -1	0	0xf0400000 - 0xf07fffff (0x400000) MX[B]
	[7] -1	0	0xf0080000 - 0xf00fffff (0x80000) MX[B]
	[8] -1	0	0xf0000000 - 0xf0000fff (0x1000) MX[B]
	[9] -1	0	0xe0000000 - 0xe00fffff (0x100000) MX[B](B)
	[10] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0	0x0000c060 - 0x0000c07f (0x20) IX[B]
	[13] -1	0	0x0000c040 - 0x0000c05f (0x20) IX[B]
	[14] -1	0	0x0000c020 - 0x0000c03f (0x20) IX[B]
	[15] -1	0	0x0000c000 - 0x0000c00f (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf0880000 - 0xf08fffff (0x80000) MX[B]
	[5] -1	0	0xf0800000 - 0xf0800fff (0x1000) MX[B]
	[6] -1	0	0xf0400000 - 0xf07fffff (0x400000) MX[B]
	[7] -1	0	0xf0080000 - 0xf00fffff (0x80000) MX[B]
	[8] -1	0	0xf0000000 - 0xf0000fff (0x1000) MX[B]
	[9] -1	0	0xe0000000 - 0xe00fffff (0x100000) MX[B](B)
	[10] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[11] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[12] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x0000c060 - 0x0000c07f (0x20) IX[B]
	[16] -1	0	0x0000c040 - 0x0000c05f (0x20) IX[B]
	[17] -1	0	0x0000c020 - 0x0000c03f (0x20) IX[B]
	[18] -1	0	0x0000c000 - 0x0000c00f (0x10) IX[B]
	[19] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[20] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) VESA(0): initializing int10
(WW) System lacks support for changing MTRRs
(II) VESA(0): Primary V_BIOS segment is: 0xc000
(II) VESA(0): VESA BIOS detected
(II) VESA(0): VESA VBE Version 2.0
(II) VESA(0): VESA VBE Total Mem: 1024 kB
(II) VESA(0): VESA VBE OEM: VirtualBox VBE BIOS http://www.virtualbox.org/
(II) VESA(0): VESA VBE OEM Software Rev: 0.2
(II) VESA(0): VESA VBE OEM Vendor: Sun Microsystems, Inc.
(II) VESA(0): VESA VBE OEM Product: VirtualBox VBE Adapter
(II) VESA(0): VESA VBE OEM Product Rev: Sun xVM VirtualBox Version 1.6.2_OSE
(II) VESA(0): Creating default Display subsection in Screen section
	"Default Screen" for depth/fbbpp 24/32
(==) VESA(0): Depth 24, (--) framebuffer bpp 32
(==) VESA(0): RGB weight 888
(==) VESA(0): Default visual is TrueColor
(==) VESA(0): Using gamma correction (1.0, 1.0, 1.0)
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) VESA(0): VESA VBE DDC not supported
(II) VESA(0): Searching for matching VESA mode(s):
Mode: 100 (640x400)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 640
	XResolution: 640
	YResolution: 400
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 8
	NumberOfBanks: 1
	MemoryModel: 4
	BankSize: 0
	NumberOfImages: 31
	RedMaskSize: 0
	RedFieldPosition: 0
	GreenMaskSize: 0
	GreenFieldPosition: 0
	BlueMaskSize: 0
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 101 (640x480)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 640
	XResolution: 640
	YResolution: 480
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 8
	NumberOfBanks: 1
	MemoryModel: 4
	BankSize: 0
	NumberOfImages: 26
	RedMaskSize: 0
	RedFieldPosition: 0
	GreenMaskSize: 0
	GreenFieldPosition: 0
	BlueMaskSize: 0
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 102 (800x600)
	ModeAttributes: 0x1f
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 100
	XResolution: 800
	YResolution: 600
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 4
	BitsPerPixel: 4
	NumberOfBanks: 1
	MemoryModel: 3
	BankSize: 0
	NumberOfImages: 33
	RedMaskSize: 0
	RedFieldPosition: 0
	GreenMaskSize: 0
	GreenFieldPosition: 0
	BlueMaskSize: 0
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0x0
Mode: 103 (800x600)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 800
	XResolution: 800
	YResolution: 600
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 8
	NumberOfBanks: 1
	MemoryModel: 4
	BankSize: 0
	NumberOfImages: 16
	RedMaskSize: 0
	RedFieldPosition: 0
	GreenMaskSize: 0
	GreenFieldPosition: 0
	BlueMaskSize: 0
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 104 (1024x768)
	ModeAttributes: 0x1f
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 128
	XResolution: 1024
	YResolution: 768
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 4
	BitsPerPixel: 4
	NumberOfBanks: 1
	MemoryModel: 3
	BankSize: 0
	NumberOfImages: 20
	RedMaskSize: 0
	RedFieldPosition: 0
	GreenMaskSize: 0
	GreenFieldPosition: 0
	BlueMaskSize: 0
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0x0
Mode: 105 (1024x768)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 1024
	XResolution: 1024
	YResolution: 768
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 8
	NumberOfBanks: 1
	MemoryModel: 4
	BankSize: 0
	NumberOfImages: 9
	RedMaskSize: 0
	RedFieldPosition: 0
	GreenMaskSize: 0
	GreenFieldPosition: 0
	BlueMaskSize: 0
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 10d (320x200)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 640
	XResolution: 320
	YResolution: 200
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 15
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 64
	RedMaskSize: 5
	RedFieldPosition: 10
	GreenMaskSize: 5
	GreenFieldPosition: 5
	BlueMaskSize: 5
	BlueFieldPosition: 0
	RsvdMaskSize: 1
	RsvdFieldPosition: 15
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 10e (320x200)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 640
	XResolution: 320
	YResolution: 200
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 16
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 64
	RedMaskSize: 5
	RedFieldPosition: 11
	GreenMaskSize: 6
	GreenFieldPosition: 5
	BlueMaskSize: 5
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 10f (320x200)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 960
	XResolution: 320
	YResolution: 200
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 24
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 42
	RedMaskSize: 8
	RedFieldPosition: 16
	GreenMaskSize: 8
	GreenFieldPosition: 8
	BlueMaskSize: 8
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 110 (640x480)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 1280
	XResolution: 640
	YResolution: 480
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 15
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 12
	RedMaskSize: 5
	RedFieldPosition: 10
	GreenMaskSize: 5
	GreenFieldPosition: 5
	BlueMaskSize: 5
	BlueFieldPosition: 0
	RsvdMaskSize: 1
	RsvdFieldPosition: 15
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 111 (640x480)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 1280
	XResolution: 640
	YResolution: 480
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 16
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 12
	RedMaskSize: 5
	RedFieldPosition: 11
	GreenMaskSize: 6
	GreenFieldPosition: 5
	BlueMaskSize: 5
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 112 (640x480)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 1920
	XResolution: 640
	YResolution: 480
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 24
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 8
	RedMaskSize: 8
	RedFieldPosition: 16
	GreenMaskSize: 8
	GreenFieldPosition: 8
	BlueMaskSize: 8
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 113 (800x600)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 1600
	XResolution: 800
	YResolution: 600
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 15
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 7
	RedMaskSize: 5
	RedFieldPosition: 10
	GreenMaskSize: 5
	GreenFieldPosition: 5
	BlueMaskSize: 5
	BlueFieldPosition: 0
	RsvdMaskSize: 1
	RsvdFieldPosition: 15
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 114 (800x600)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 1600
	XResolution: 800
	YResolution: 600
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 16
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 7
	RedMaskSize: 5
	RedFieldPosition: 11
	GreenMaskSize: 6
	GreenFieldPosition: 5
	BlueMaskSize: 5
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
*Mode: 140 (320x200)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 1280
	XResolution: 320
	YResolution: 200
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 32
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 31
	RedMaskSize: 8
	RedFieldPosition: 16
	GreenMaskSize: 8
	GreenFieldPosition: 8
	BlueMaskSize: 8
	BlueFieldPosition: 0
	RsvdMaskSize: 8
	RsvdFieldPosition: 24
	DirectColorModeInfo: 2
	PhysBasePtr: 0xe0000000
*Mode: 141 (640x400)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 2560
	XResolution: 640
	YResolution: 400
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 32
	NumberOfBanks: 1
	MemoryModel: 6
	BankSize: 0
	NumberOfImages: 7
	RedMaskSize: 8
	RedFieldPosition: 16
	GreenMaskSize: 8
	GreenFieldPosition: 8
	BlueMaskSize: 8
	BlueFieldPosition: 0
	RsvdMaskSize: 8
	RsvdFieldPosition: 24
	DirectColorModeInfo: 2
	PhysBasePtr: 0xe0000000
Mode: 146 (320x200)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 320
	XResolution: 320
	YResolution: 200
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 8
	NumberOfBanks: 1
	MemoryModel: 4
	BankSize: 0
	NumberOfImages: 130
	RedMaskSize: 0
	RedFieldPosition: 0
	GreenMaskSize: 0
	GreenFieldPosition: 0
	BlueMaskSize: 0
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000
Mode: 148 (1152x864)
	ModeAttributes: 0x9b
	WinAAttributes: 0x7
	WinBAttributes: 0x0
	WinGranularity: 64
	WinSize: 64
	WinASegment: 0xa000
	WinBSegment: 0x0
	WinFuncPtr: 0xc0007f81
	BytesPerScanline: 1152
	XResolution: 1152
	YResolution: 864
	XCharSize: 8
	YCharSize: 16
	NumberOfPlanes: 1
	BitsPerPixel: 8
	NumberOfBanks: 1
	MemoryModel: 4
	BankSize: 0
	NumberOfImages: 7
	RedMaskSize: 0
	RedFieldPosition: 0
	GreenMaskSize: 0
	GreenFieldPosition: 0
	BlueMaskSize: 0
	BlueFieldPosition: 0
	RsvdMaskSize: 0
	RsvdFieldPosition: 0
	DirectColorModeInfo: 0
	PhysBasePtr: 0xe0000000

(II) VESA(0): Total Memory: 16 64KB banks (1024kB)
(II) VESA(0): Configured Monitor: Using default hsync range of 31.50-37.90 kHz
(II) VESA(0): Configured Monitor: Using default vrefresh range of 50.00-70.00 Hz
(WW) VESA(0): Unable to estimate virtual size
(II) VESA(0): Not using built-in mode "640x400" (no mode of this name)
(II) VESA(0): Not using built-in mode "320x200" (no mode of this name)
(WW) VESA(0): No valid modes left.  Trying less strict filter...
(II) VESA(0): Configured Monitor: Using hsync range of 31.50-37.90 kHz
(II) VESA(0): Configured Monitor: Using vrefresh range of 50.00-70.00 Hz
(WW) VESA(0): Unable to estimate virtual size


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-486
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-vesa depends on:
ii  libc6                         2.7-12     GNU C Library: Shared libraries
ii  xserver-xorg-core             2:1.4.2-1  Xorg X server - core server

xserver-xorg-video-vesa recommends no packages.

-- no debconf information




Severity set to `grave' from `important' Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Thu, 03 Jul 2008 05:27:02 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=16378. Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Thu, 03 Jul 2008 05:27:02 GMT) Full text and rfc822 format available.

Merged 488932 489051. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 03 Jul 2008 12:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. Full text and rfc822 format available.

Acknowledgement sent to mariodebian <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #16 received at 489051@bugs.debian.org (full text, mbox):

From: mariodebian <mariodebian@gmail.com>
To: 489051@bugs.debian.org
Subject: Possible patch to solve unresolved symbol
Date: Thu, 03 Jul 2008 20:19:10 +0200
[Message part 1 (text/plain, inline)]
Hi.

I have made a small patch to solve this bug.

I'm very newbie in this things excuse me if this patch isn't necesary...

I don't know exactly from which version of Xorg this patch applies

#if XORG_VERSION_MAJOR > 1 && XORG_VERSION_MINOR >= 4 &&
XORG_VERSION_PATCH > 2
 	mode = xf86GTFMode(p->HDisplay, p->VDisplay, v, 0, 0);
#else
	mode = xf86CVTMode(p->HDisplay, p->VDisplay, v, FALSE, FALSE);
#endif

I have used 1.4.2


Attached patch in debdiff format

I have recompiled package and with this patch Xorg starts under
VirtualBox:

# grep VESA /var/log/Xorg.0.log 
(II) VESA: driver for VESA chipsets: vesa
(II) VESA(0): initializing int10
(II) VESA(0): Primary V_BIOS segment is: 0xc000
(II) VESA(0): VESA BIOS detected
(II) VESA(0): VESA VBE Version 2.0
(II) VESA(0): VESA VBE Total Mem: 4096 kB
(II) VESA(0): VESA VBE OEM: VirtualBox VBE BIOS
http://www.virtualbox.org/
(II) VESA(0): VESA VBE OEM Software Rev: 0.2
(II) VESA(0): VESA VBE OEM Vendor: Sun Microsystems, Inc.
(II) VESA(0): VESA VBE OEM Product: VirtualBox VBE Adapter
(II) VESA(0): VESA VBE OEM Product Rev: Sun xVM VirtualBox Version
1.6.2_OSE
(**) VESA(0): Depth 16, (--) framebuffer bpp 16
(==) VESA(0): RGB weight 565
(==) VESA(0): Default visual is TrueColor
(==) VESA(0): Using gamma correction (1.0, 1.0, 1.0)
(II) VESA(0): VESA VBE DDC not supported
(II) VESA(0): Searching for matching VESA mode(s):
(II) VESA(0): Total Memory: 64 64KB banks (4096kB)
(II) VESA(0): Generic Monitor: Using hsync range of 28.00-49.00 kHz
(II) VESA(0): Generic Monitor: Using vrefresh range of 43.00-72.00 Hz
(II) VESA(0): Not using built-in mode "1024x768" (no mode of this name)
(II) VESA(0): Not using mode "1024x768" (no mode of this name)
(II) VESA(0): Not using built-in mode "800x600" (no mode of this name)
(II) VESA(0): Not using built-in mode "640x480" (no mode of this name)
(II) VESA(0): Not using built-in mode "1280x1024" (no mode of this name)
(II) VESA(0): Not using built-in mode "1152x864" (no mode of this name)
(II) VESA(0): Not using built-in mode "320x200" (no mode of this name)
(WW) VESA(0): No valid modes left.  Trying less strict filter...
(II) VESA(0): Generic Monitor: Using hsync range of 28.00-49.00 kHz
(II) VESA(0): Generic Monitor: Using vrefresh range of 43.00-72.00 Hz
(II) VESA(0): Not using mode "1024x768" (no mode of this name)
(II) VESA(0): Not using built-in mode "1280x1024" (width too large for
virtual size)
(II) VESA(0): Not using built-in mode "1152x864" (width too large for
virtual size)
(II) VESA(0): Not using built-in mode "320x200" (hsync out of range)
(--) VESA(0): Virtual size is 1024x768 (pitch 1024)
(**) VESA(0): *Built-in mode "1024x768"
(**) VESA(0): *Built-in mode "800x600"
(**) VESA(0): *Built-in mode "640x480"
(==) VESA(0): DPI set to (96, 96)
(II) VESA(0): Attempting to use 60Hz refresh for mode "1024x768" (117)
(II) VESA(0): Attempting to use 72Hz refresh for mode "800x600" (114)
(II) VESA(0): Attempting to use 60Hz refresh for mode "640x480" (111)
(**) VESA(0): Using "Shadow Framebuffer"
(II) VESA(0): initializing int10
(II) VESA(0): Primary V_BIOS segment is: 0xc000
(II) VESA(0): VESA BIOS detected
(II) VESA(0): VESA VBE Version 2.0
(II) VESA(0): VESA VBE Total Mem: 4096 kB
(II) VESA(0): VESA VBE OEM: VirtualBox VBE BIOS
http://www.virtualbox.org/
(II) VESA(0): VESA VBE OEM Software Rev: 0.2
(II) VESA(0): VESA VBE OEM Vendor: Sun Microsystems, Inc.
(II) VESA(0): VESA VBE OEM Product: VirtualBox VBE Adapter
(II) VESA(0): VESA VBE OEM Product Rev: Sun xVM VirtualBox Version
1.6.2_OSE
(II) VESA(0): virtual address = 0xb75a1000,
(==) VESA(0): Default visual is TrueColor
(==) VESA(0): Backing store disabled
(**) VESA(0): DPMS enabled

Xrandr seems to work ok.


Thank you for your work at Debian.

Greetings
-- 
http://soleup.eup.uva.es/mariodebian
[disable_gtsmode.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 489051@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: mariodebian <mariodebian@gmail.com>, 489051@bugs.debian.org
Subject: Re: Bug#489051: Possible patch to solve unresolved symbol
Date: Sat, 05 Jul 2008 02:37:53 +0200
mariodebian a écrit :
> Hi.
>
> I have made a small patch to solve this bug.
>
> I'm very newbie in this things excuse me if this patch isn't necesary...
>
> I don't know exactly from which version of Xorg this patch applies
>
> #if XORG_VERSION_MAJOR > 1 && XORG_VERSION_MINOR >= 4 &&
> XORG_VERSION_PATCH > 2
>  	mode = xf86GTFMode(p->HDisplay, p->VDisplay, v, 0, 0);
> #else
> 	mode = xf86CVTMode(p->HDisplay, p->VDisplay, v, FALSE, FALSE);
> #endif
>   


Thanks, I just tested this on my Thinkpad T43 (Radeon Mobility X300),
vesa 2.0 now starts fine and seems to behave as 1.3.0 did. I sent the
patch to the upstream bug.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #26 received at 489051@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: mariodebian <mariodebian@gmail.com>, 489051@bugs.debian.org
Subject: Re: Bug#489051: Possible patch to solve unresolved symbol
Date: Sat, 5 Jul 2008 09:43:22 +0200
On Thu, Jul  3, 2008 at 20:19:10 +0200, mariodebian wrote:

> Hi.
> 
> I have made a small patch to solve this bug.
> 
> I'm very newbie in this things excuse me if this patch isn't necesary...
> 
> I don't know exactly from which version of Xorg this patch applies
> 
> #if XORG_VERSION_MAJOR > 1 && XORG_VERSION_MINOR >= 4 &&
> XORG_VERSION_PATCH > 2

this is wrong, it won't work if XORG_VERSION_MAJOR is 2 and _MINOR is <
4.  needs a comparison between XORG_VERSION_CURRENT and
XORG_VERSION_NUMERIC(1,4,99,something).

>  	mode = xf86GTFMode(p->HDisplay, p->VDisplay, v, 0, 0);
> #else
> 	mode = xf86CVTMode(p->HDisplay, p->VDisplay, v, FALSE, FALSE);
> #endif
> 
and I'm not too confident about this, because cvt and gtf modes can't be
used interchangeably (monitors don't necessarily support both, aiui).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. Full text and rfc822 format available.

Acknowledgement sent to mariodebian <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 489051@bugs.debian.org (full text, mbox):

From: mariodebian <mariodebian@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 489051@bugs.debian.org
Subject: Re: Bug#489051: Possible patch to solve unresolved symbol
Date: Sat, 05 Jul 2008 10:31:25 +0200
[Message part 1 (text/plain, inline)]
El sáb, 05-07-2008 a las 09:43 +0200, Julien Cristau escribió:
> On Thu, Jul  3, 2008 at 20:19:10 +0200, mariodebian wrote:
> 
> > Hi.
> > 
> > I have made a small patch to solve this bug.
> > 
> > I'm very newbie in this things excuse me if this patch isn't necesary...
> > 
> > I don't know exactly from which version of Xorg this patch applies
> > 
> > #if XORG_VERSION_MAJOR > 1 && XORG_VERSION_MINOR >= 4 &&
> > XORG_VERSION_PATCH > 2
> 
> this is wrong, it won't work if XORG_VERSION_MAJOR is 2 and _MINOR is <
> 4.  needs a comparison between XORG_VERSION_CURRENT and
> XORG_VERSION_NUMERIC(1,4,99,something).

You are true, with my patch Xorg < 2 always use CVTMode, and this is not
my intention....



> 
> >  	mode = xf86GTFMode(p->HDisplay, p->VDisplay, v, 0, 0);
> > #else
> > 	mode = xf86CVTMode(p->HDisplay, p->VDisplay, v, FALSE, FALSE);
> > #endif
> > 
> and I'm not too confident about this, because cvt and gtf modes can't be
> used interchangeably (monitors don't necessarily support both, aiui).
> 


I'm inspired in this commit in xorg last Febrary:

http://lists.freedesktop.org/archives/xorg-commit/2008-February/014985.html

As you see (search GTFMode) the patch when Xorg developers add
xf86GTFMode is very similar to mine, in old versions only use CVTMode.


> Cheers,
> Julien



Greetings

-- 
http://soleup.eup.uva.es/mariodebian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 489051@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: mariodebian <mariodebian@gmail.com>, 489051@bugs.debian.org
Subject: Re: Bug#489051: Possible patch to solve unresolved symbol
Date: Sat, 5 Jul 2008 10:46:07 +0200
On Sat, Jul  5, 2008 at 10:31:25 +0200, mariodebian wrote:

> I'm inspired in this commit in xorg last Febrary:
> 
> http://lists.freedesktop.org/archives/xorg-commit/2008-February/014985.html
> 
> As you see (search GTFMode) the patch when Xorg developers add
> xf86GTFMode is very similar to mine, in old versions only use CVTMode.
> 
with the following description:

    CVT is enough different from GTF that it should not be used on monitors
    that aren't expecting it.  This brings us closer to what the spec says
    the correct behaviour is.

So using CVT when we want GTF doesn't seem right (I haven't actually
looked at what the vesa driver used to do, so I need to check that).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 489051@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 489051@bugs.debian.org
Subject: patch fails to apply and fails to fix problem
Date: Mon, 7 Jul 2008 10:42:19 +0100
[Message part 1 (text/plain, inline)]
Mario, I tried the patch attached to the bug report but it fails to
apply - patch reports a malformed patch.

However, I also tried to implement the effect of the patch manually but
despite this change, my X server still fails to start.

Attaching /var/log/Xorg.0.log (with the effect of the patch applied)

If there is additional info needed, let me know.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Xorg.0.log (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. Full text and rfc822 format available.

Acknowledgement sent to mariodebian <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 489051@bugs.debian.org (full text, mbox):

From: mariodebian <mariodebian@gmail.com>
To: 489051@bugs.debian.org
Subject: Repatch
Date: Thu, 24 Jul 2008 20:57:49 +0200
[Message part 1 (text/plain, inline)]
Sorry Neil, I'm not subscribed at this bug and don't read your response.


I have repatched this bug with Julien Cristau suggestion:



+#if XORG_VERSION_CURRENT > XORG_VERSION_NUMERIC(1,4,2,0,0)
+        /* xf86GTFMode is only avalaible in newer versions of Xorg */
 	mode = xf86GTFMode(p->HDisplay, p->VDisplay, v, 0, 0);
+#else
+	mode = xf86CVTMode(p->HDisplay, p->VDisplay, v, FALSE, FALSE);
+#endif



The other patch is in debdiff format (apply to sources parent dir), this
is in plain

Actually in Debian SID, Xorg is at 1.4.2 version, with this patch use
old code xf86CVTMode and in newer versions use new code xf86GTFMode.


Greetings

-- 
http://soleup.eup.uva.es/mariodebian
[10_disable_gtfmode (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 488932 489051 498808. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 16:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. (Sat, 18 Oct 2008 16:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Sandro Tosi" <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 18 Oct 2008 16:24:02 GMT) Full text and rfc822 format available.

Message #53 received at 489051@bugs.debian.org (full text, mbox):

From: "Sandro Tosi" <morph@debian.org>
To: 489051@bugs.debian.org
Subject: Re: xserver-xorg-video-vesa: fails to find valid modes
Date: Sat, 18 Oct 2008 18:21:08 +0200
Hello,
I've tested the patch at [1] and it works fine (at least on a Thinkpad
T30): is there any plan to apply it and fix the package?

Thanks,
Sandro

[1] http://bugs.archlinux.org/task/10843

-- 
Sandro Tosi (aka morph, Morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#489051; Package xserver-xorg-video-vesa. (Fri, 28 Nov 2008 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Fleury <fleury@labri.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 28 Nov 2008 17:00:05 GMT) Full text and rfc822 format available.

Message #58 received at 489051@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <fleury@labri.fr>
To: 489051@bugs.debian.org
Subject: Re: xserver-xorg-video-vesa: fails to find valid modes
Date: Fri, 28 Nov 2008 17:59:16 +0100
Hi all,

Just to let you know that this seems to be fixed in
xserver-xorg-video-vesa 2.0.0-2 (experimental).

I could use a virtualbox with X when I upgraded to it.

Regads
-- 
Emmanuel Fleury

I don't know why and I'm not yet motivated to fix it
since my views on esd are mostly unprintable.
  -- Alan Cox




Tags added: patch Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 19:15:11 GMT) Full text and rfc822 format available.

Forcibly Merged 488932 489051 498808 512528. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 21 Jan 2009 16:45:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 May 2009 07:26:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:46:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.